Distribution: 	CCux
Packager: 	Karsten Brockmann  <arcam@ccux.de>

Name: 		scilab
Version: 	4.1.2
Release: 	3
Source0: 	%{name}-%{version}-src.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
Summary: 	scientific numerical computations package
URL: 		http://www.scilab.org/
License: 	SCILAB
Group: 		Science/Mathmatics
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libgtkhtml-devel
BuildRequires:	vte-devel >= 0.13.5
BuildRequires:  xorg-x11-xtrans-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glibc-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  ncurses-devel
BuildRequires:  pango-devel
BuildRequires:  readline-devel
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-gfortran

%description
Scilab is a scientific software package for numerical computations
providing a powerful open computing environment for engineering
and scientific applications. Developed since 1990 by researchers
from INRIA and ENPC, it is now maintained and developed by
Scilab Consortium since its creation in May 2003. 
Distributed freely and open source (see the license and the  trademark license)
via the Internet since 1994, Scilab is currently being used in
educational and industrial environments around the world. 
Scilab includes hundreds of mathematical functions with the
possibility to add interactively programs from various languages (C, Fortran...).
It has sophisticated data structures (including lists, polynomials,
rational functions, linear systems...), an interpreter and a
high level programming language. 

%package	doc
Summary:        %{name} documentation
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	doc
%{name} user documentation and manuals

%prep
%setup -n %{name}-%{version}

%build
%{__perl} -pi.orig -e 's|-fwritable-strings||g;' configure
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--with-gnu \
--with-gtk2 \
--with-xaw3d \
--with-x \
--without-ocaml 
make all

%install
# remove old build
%{__rm} -rf %{buildroot}
# install package
%{__install} -d %{buildroot}%{_libdir} \
	%{buildroot}%{_bindir}
%{__perl} -pi.orig -e '
	s|/usr/bin|%{buildroot}%{_bindir}|g;
	s|ln -fs \$\(PREFIX\)/lib|ln -fs %{_libdir}|g;
	' Makefile
%{__perl} -pi -e '
	s|/bin/sh5|/bin/sh|g;
	' bin/dold
%makeinstall PREFIX=%{buildroot}%{_prefix} LIBPREFIX=%{buildroot}%{_libdir}

%{__perl} -pi -e '
	s|%{buildroot}||g;
	' %{buildroot}%{_libdir}/scilab-%{version}/bin/* \
	config/configuration \
	util/Blatdoc* Makefile* Path.incl

# get rid of junk files
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/ACKNOWLEDGEMENTS
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/CHANGES
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/Makefile
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/Makefile.OBJ
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/Makefile.incl
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/Makemex
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/README_Unix
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/RELEASE_NOTES
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/configure
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/libtool
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/licence.txt
rm -f $RPM_BUILD_ROOT%_libdir/%name-%version/license.txt
# install desktop stuff
mkdir -p $RPM_BUILD_ROOT/{%_pixmaps,%_applications}
install %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
install %{SOURCE2} $RPM_BUILD_ROOT%_applications/%{name}.desktop
# now strip the binaries 
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_pixmaps
%_applications
#%_libdir/X11/app-defaults/Xscilab
%_libdir/%name-%version/bin
%_libdir/%name-%version/config
%_libdir/%name-%version/macros
%_libdir/%name-%version/imp
%_libdir/%name-%version/util
%_libdir/%name-%version/tcl
%_libdir/%name-%version/scripts
%_libdir/%name-%version/routines
%_libdir/%name-%version/maple
%_libdir/%name-%version/pvm3
%_libdir/%name-%version/contrib
%_libdir/%name-%version/X11_defaults
%_libdir/%name-%version/scilab.quit
%_libdir/%name-%version/scilab.star
%_libdir/%name-%version/.binary
%_libdir/%name-%version/.pvmd.conf
%_libdir/%name-%version/Path.incl
%_libdir/%name-%version/Version.incl

%files doc
%defattr(-,root,root)
%_defaultdocdir
%_libdir/%name-%version/man
%_libdir/%name-%version/demos
%_libdir/%name-%version/examples

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 04 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.2-3
- rebuild against gcc 4.3.1
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.2-2
- rebuild against gcc 4.1.2
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- Version update
* Sat May 26 2007 Christian Metzen <metzench@ccux-linux.de> 4.1-2
- rebuilt against latest gcc
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.1-1
- Version update
* Mon Sep 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.0-3
- rebuild against latest vte
* Mon Jun 05 2006 Christian Wasem <wasem@ccux-linux.de> 4.0-2
- added desktop stuff, corrected url
* Thu Mar 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- Initial release
